Name:           sselp
Version:        0.2
Release:        3%{?dist}
Summary:        Prints X selection to standard out

Group:          User Interface/X
License:        MIT
URL:            http://tools.suckless.org/%{name}
Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libX11-devel

%description
Prints X selection to standard out.


%prep
%setup -q
# set CFLAGS set to {optflags}
sed -i "s/CFLAGS = .*/CFLAGS = %{optflags} \${INCS} \${CPPFLAGS}/" config.mk
# remove -s option in LDFLAGS
sed -i "/LDFLAGS/ s/-s//" config.mk
sed -i "s/@\${CC}/\${CC}/" Makefile



%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc README LICENSE



%changelog
* Fri Jun 25 2010 Matthias Runge <mrunge@matthias-runge.de> 0.2-3
- Description does not end with a dot (fixed)
- fix nonverbose compilation
 
* Wed Jun 23 2010 Matthias Runge <mrunge@matthias-runge.de> 0.2-2
- dropped patch to install in {_prefix}
- fixed CFlAGS, LDFLAGS

* Mon Jun 21 2010 Matthias Runge <mrunge@matthias-runge.de> 0.2-1
- initial version
